Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::Controls Struct Reference

Controls. More...

`import <Webcam.idl;`

## Public Attributes
int | brightness
| brightness
int | contrast
| contrast
int | saturation
| saturation
int | gain
| gain
int | gamma
| gamma
PowerLineFrequency | powerLineFrequency
| power line frequency (50Hz, 60Hz or disabled)

## Detailed Description

Controls.

All int values are normed to a range of 1 to 1000 0 means "auto" if available, -1 means not supported by the webcam

Definition at line 39 of file Webcam.idl.

## Member Data Documentation

## ◆ brightness

int webcam::Controls::brightness

brightness

Definition at line 40 of file Webcam.idl.

## ◆ contrast

int webcam::Controls::contrast

contrast

Definition at line 41 of file Webcam.idl.

## ◆ gain

int webcam::Controls::gain

gain

Definition at line 43 of file Webcam.idl.

## ◆ gamma

int webcam::Controls::gamma

gamma

Definition at line 44 of file Webcam.idl.

## ◆ powerLineFrequency

PowerLineFrequency webcam::Controls::powerLineFrequency

power line frequency (50Hz, 60Hz or disabled)

Definition at line 45 of file Webcam.idl.

## ◆ saturation

int webcam::Controls::saturation

saturation

Definition at line 42 of file Webcam.idl.

The documentation for this struct was generated from the following file:

- Webcam.idl